mpeg=1            ; or java=1 or quicktime=1
test=5            ; remove this for final

set_plot,'z

; ---------------- spr and ssc path specifics ------------------
pfis=findfile('/net/notung/data1/from_dynamo/20001124_26/pr/prep_2_*')
sscfiles='/net/notung/data1/from_dynamo/20001124_26/pr/ssc_hr_movie.sda'

if n_elements(test) ne 0 then begin 
  restgen,file='/net/notung/data1/from_dynamo/20001124_26/pr/flq.genx',$
    index,pdata
  index=index(0:test)
  pdata=pdata(*,*,0:test)
endif else begin 

; ------- per nn, only 1st nn (nn=test) of each pfi files ----------
rd_roadmap,pfis,rmap
ss=[-1] 
for i=0,n_elements(pfis)-1 do begin 
   rd_roadmap,pfis(i),rmapi
   ss=[ss,tim2dset(rmap,rmapi(0:test))]
endfor
read_sxt,pfis,ss(1:*),index,pdata         ; desired NN -> index,data
endelse

; ------- Normalize data (needs work?) ----------------
;pdata=sfd_comp(exp_norm(data,index))

minp=min(pdata)
 ssw_fill_cube,pdata,missing=minp         ; fill PFI sequence borders

; --- generate merged PFI/SSC movie via ssw_fov_context.pro ----
xsize=512                                 ; optional output size   
ysize=512                                 ; ""
delvarx,movie                             ; memory management
movie=ssw_fov_context_cube2(index,pdata,$  ; merge pfi/ssc frames
   ymargin=[0,0], xmargin=[0,0], $
   margin=0, $
   center=[0,0], fov=40, sscfiles=sscfiles, $
   /noaxes, /noxticks, /noyticks, /notitle, /nolable,$
   composite=3, /noscale, xsize=xsize,ysize=ysize,/zbuffer)


; ----- generate seperate FFI only SSC movie --------------

if n_elements(test) eq 0 then ss=-1 else begin 
   rd_roadmap,sscfiles,rmap
   ss=grid_data(rmap,nsamp=n_elements(index))
endelse
stop,'ssc
read_sxt,sscfiles,ss,sscindex
pdata=make_array(4,4, n_elements(sscindex)) ; dummy data
mreadfits_fixup,sscindex,pdata              
sscindex.cdelt1=.001 & sscindex.cdelt2=.001 ; temporary kludge

; --- ssc movie via ssw_fov_context with dummy data -----------
sscmovie=ssw_fov_context_cube(sscindex, pdata, $ ; ssc->movie
   ymargin=[0,0], xmargin=[0,0], $
   margin=0, $
   center=[0,0], fov=40, sscfiles=sscfiles, $
   /noaxes, /noxticks, /noyticks, /notitle, /nolable,$
   composite=3, xsize=xsize,ysize=ysize,/zbuffer)

; ------------- merge pfi+ssc & ssc-only movies ----------
ss=sort_index(anytim(index,/int),anytim(sscindex,/int),/ss)
tfinal=[[[temporary(movie)]],[[temporary(sscmovie)]]]
final=tfinal
for i=0,n_elements(ss)-1 do $
   final(0,0,i)=tfinal(*,*,ss(i))         ; time order-> final

delvarx,tfinal                            ; memory management

; ----- output movie #nimages X 2DFITS including SSW standards
outdir=concat_dir('$path_http','nn_movie/fits')
allind=sort_index(str_concat(index,sscindex))
mreadfits_fixup,allind,final
mwritefits,allind,final,prefix='nn_',outdir=outdir

; ---------- optional FITS movie -> WWW formats -------
 fitsfiles=file_list(outdir,'*fits')
 mreadfits,fitsfiles, index, data 
 ssw_fill_cube,data,window=40<(n_elements(index))-2, missing=minp    ; optionally fill (FFI->PFI)
 set_plot,'z'
 image2movie2, data, uttimes=index, table=3, $
    movie_dir=outdir, /nodelete, movie_name='nn_movie', $
    mpeg=mpeg, quicktime=quicktime, java=java 

;

end
